:root{
    --green: rgb(83,194,139);
    --blue: rgb(63,75,150);
}

.container-dashboard{
    position: relative;
    padding: 70px 30px 20px 30px;
    /*height: 100vh;*/
    margin-bottom: 100px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 20px;
    grid-template-areas:
        "grafico grafico grafico grafico grafico grafico tags tags tags"
        "blocos blocos blocos blocos blocos blocos tags tags tags";
}

.vendas-imoveis-container{
    grid-area: grafico;
    background-color: var(--blue);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.2);
    padding: 5px;
}

.tipos-maisvendidos-container{
    grid-area: blocos;
    background-color: var(--blue);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.2);
    padding: 5px;
}

.tags-container{
    grid-area: tags;
}

.header{
    display: grid;
    justify-content: center;
    color: white;
    margin-top: 30px;
}

.dashboard-h2{
    display: flex;
    font-weight: 400;
    font-size: 30px;
    justify-content: center;
}

.vendas-imoveis-filtro{
    display: flex;
    flex-direction: row;
    font-weight: 200;
    font-size: 14px;
    margin-top: 15px;
}

.vendas-imoveis-filtro form{
    display: flex;
    flex-direction: row;
}

.vendas-imoveis-filtro label{
    color: white;
}

.vendas-imoveis-filtro label:hover{
    color: darkgrey;
}

.vendas-imoveis-filtro input{
    display: none;
}

.vendas-imoveis-filtro button{
    background: transparent;
    outline: none;
}

.greenbar{
    width: 2px;
    height: 20px;
    margin: 0 5px;
    background-color: var(--green);
}

.dashboard-green{
    color: var(--green);
    margin-left: 8px;
}

.dashboard-description{
    display: grid;
    justify-content: center;
    font-weight: 100;
    font-size: 12px;
}

.vendas-imoveis-grafico{
    color: white;
    stroke: white;
}

span.ct-label.ct-horizontal.ct-end{
    display: flex;
    justify-content: center;
}

foreignObject:last-child {
    y: -10;
}

.ct-label.ct-vertical.ct-start{

    position: relative;
    top: 10px;
}

.imoveis-maisvendidos-blocks{
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
}

.imoveis-maisvendidos-block{
    color: white;
    display: grid;
    font-weight: 400;
    font-size: 25px;
    margin: 5px;
    gap: 4px;
    background-color: var(--green);
    width: 95%;
    padding: 10px 2px;
}

.imoveis-maisvendidos-block:hover{
    color: var(--green);
    background-color: white;
}

.imoveis-maisvendidos-number{
    display: grid;
    margin: 0 auto;
}

.imoveis-maisvendidos-description{
    display: grid;
    margin: 0 auto;
    font-size: 16px;
}

.tags-container{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.imoveis-tag{
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.2);
    display: flex;
    margin-top: 20px;
    width: 100%;
    height: 140px;
    justify-content: space-between;
    background-color: #EEEEEE;
    padding: 20px;
}

.tag-img-container{
    position: relative;
    top: -40px;
    width: 100px;
    height: 100px;
    display: grid;
    justify-content: center;
    align-content: center;
}

.img-green{
    background-color: var(--green);
}

.img-blue{
    background-color: var(--blue);
}

.tag-name{
    font-size: 15px;
    position: relative;
    font-weight: 400;
    top: -20px;
    line-height: 16px;
}

.tag-value{
    font-size: 30px;
    font-weight: 400;
    position: relative;
    top: 50px;
    height: 20px;
    margin-right: 20px;
    text-align: center;
}

@media (max-width: 1150px){
    .vendas-imoveis-filtro{
        font-size: 12px;
    }

    .imoveis-maisvendidos-description{
        font-size: 10px;
        line-height: 12px;
        text-align: center;
    }

    .imoveis-maisvendidos-number{
        font-size: 18px;
    }

    .tag-name{
        font-size: 12px;
    }
}

@media (max-width: 750px){
    .container-dashboard{
        display: flex;
        flex-direction: column;
    }

    .tag-img-container{
        width: 60px;
        height: 60px;
    }

    .tag-img-container img{
        width: 45px;
        height: 45px;
    }
}

@media (max-width: 550px){
    .tags-container{
        flex-direction: row;
        justify-content: space-around;
    }

    .dashboard-h2{
        font-size: 20px;
    }

    .imoveis-tag{
        flex-direction: column;
        padding: 2%;
        width: 120px;
        height: 200px;
        justify-content: space-evenly;
    }

    .imoveis-tag-container{
        display: flex;
        flex-direction: column;
        align-items: center;
        position: relative;
        top: 50px;
        width: 100px;
        height: 100px;
    }

    .tag-name{
        white-space: normal;
        width: 100px;
        text-align: center;
        font-size: 10px;
        margin-bottom: 5px;
    }

    .tag-value{
        top: 0;
        margin: 0 auto;
        font-size: 20px;
    }

    .buttons-grafico{
        line-height: 14px;
    }
}

@media (max-width: 400px){

}
